Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.filter.codec
Class ProtocolDecoderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.mina.filter.codec.ProtocolCodecException
                  org.apache.mina.filter.codec.ProtocolDecoderException

All Implemented Interfaces:
  Serializable

    public class ProtocolDecoderException

extends ProtocolCodecException

An exception that is thrown when `ProtocolDecoder` cannot understand or failed to validate the specified `ByteBuffer` content.

Version:
  $Rev: 555855 $, $Date: 2007-07-13 05:19:00 +0200 (Fri, 13 Jul 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)
See Also:
  Serialized Form

Constructor Summary
`ProtocolDecoderException()` Constructs a new instance.
`ProtocolDecoderException(String message)` Constructs a new instance with the specified message.
`ProtocolDecoderException(String message, Throwable cause)` Constructs a new instance with the specified message and the specified cause.
`ProtocolDecoderException(Throwable cause)` Constructs a new instance with the specified cause.

Method Summary
`String` | `getHexdump()` Returns the hexdump of the unknown message part.
`String` | `getMessage()` Returns the message and the hexdump of the unknown part.
`void` | `setHexdump(String hexdump)` Sets the hexdump of the unknown message part.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProtocolDecoderException

    public ProtocolDecoderException()

  Constructs a new instance.

### ProtocolDecoderException

    public ProtocolDecoderException(String message)

  Constructs a new instance with the specified message.

### ProtocolDecoderException

    public ProtocolDecoderException(Throwable cause)

  Constructs a new instance with the specified cause.

### ProtocolDecoderException

    public ProtocolDecoderException(String message,
                                    Throwable cause)

  Constructs a new instance with the specified message and the specified cause.

Method Detail

### getMessage

    public String getMessage()

  Returns the message and the hexdump of the unknown part.

  Overrides:
    `getMessage` in class `Throwable`

### getHexdump

    public String getHexdump()

  Returns the hexdump of the unknown message part.

### setHexdump

    public void setHexdump(String hexdump)

  Sets the hexdump of the unknown message part.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.